Public Member Functions

# wxGBPosition Class Reference
[Window Layout]

`#include <wx/gbsizer.h>`

## Detailed Description

This class represents the position of an item in a virtual grid of rows and columns managed by a wxGridBagSizer.

##

Library: wxCore
Category: Window Layout

## Public Member Functions
| wxGBPosition ()
| Default constructor, setting the row and column to (0,0).
| wxGBPosition (int row, int col)
| Construct a new wxGBPosition, setting the row and column.
int | GetCol () const
| Get the current column value.
int | GetRow () const
| Get the current row value.
void | SetCol (int col)
| Set a new column value.
void | SetRow (int row)
| Set a new row value.
bool | operator! (const wxGBPosition &p) const
| Checks if the position is valid.
bool | operator== (const wxGBPosition &p) const
| Compare equality of two wxGBPositions.

List of all members.

## Constructor & Destructor Documentation

wxGBPosition::wxGBPosition | ( |  | ) |

Default constructor, setting the row and column to (0,0).

wxGBPosition::wxGBPosition | ( | int | row,
|  | int | col |
| ) |  |  |

Construct a new wxGBPosition, setting the row and column.

## Member Function Documentation

int wxGBPosition::GetCol | ( |  | ) | const

Get the current column value.

int wxGBPosition::GetRow | ( |  | ) | const

Get the current row value.

bool wxGBPosition::operator! | ( | const wxGBPosition & | p | ) | const

Checks if the position is valid.

An invalid position is (-1,-1).

bool wxGBPosition::operator== | ( | const wxGBPosition & | p | ) | const

Compare equality of two wxGBPositions.

void wxGBPosition::SetCol | ( | int | col | ) |

Set a new column value.

void wxGBPosition::SetRow | ( | int | row | ) |

Set a new row value.

|  | [ top ]